Index: rtems/config/tools/rtems-binutils-head.cfg
===================================================================
--- rtems/config/tools/rtems-binutils-head.cfg	(revision 71178999b6221a97a6d1c4d28f1d437a07d31317)
+++ rtems/config/tools/rtems-binutils-head.cfg	(revision 65abc3e1f39404d1169bc4d361c6a78c937655ed)
@@ -2,9 +2,9 @@
 %include %{_configdir}/base.cfg
 
-%define binutils_version c65ca13
+%define binutils_version d4dd4fc
 %define binutils_external 1
 %define binutils_expand_name sourceware-mirror-binutils-gdb-%{binutils_version}
 %source set binutils --rsb-file=%{binutils_expand_name}.tar.gz https://codeload.github.com/RTEMS/sourceware-mirror-binutils-gdb/tar.gz/%{binutils_version}
-%hash sha512 %{binutils_expand_name}.tar.gz f99fc717964d3a337527dc4e46f72b5d57b0995e96aa4c3987eb282e3c390291e3e8831f1ae0db95876858868169a05d28afcf08f9b14ca6c842b71a1afefd3b
+%hash sha512 %{binutils_expand_name}.tar.gz 43c29418fbe4c9e2bae8042c29230b8adf4b0b8351690b08735ef0b999a97e53c63a857d76f2cfee6668685eb9abe6d671e6fcfe427f43d5cdbba108b5c837ee
 
 %define with_deterministic_archives 1
Index: rtems/config/tools/rtems-gcc-10-newlib-head.cfg
===================================================================
--- rtems/config/tools/rtems-gcc-10-newlib-head.cfg	(revision 71178999b6221a97a6d1c4d28f1d437a07d31317)
+++ rtems/config/tools/rtems-gcc-10-newlib-head.cfg	(revision 65abc3e1f39404d1169bc4d361c6a78c937655ed)
@@ -2,9 +2,9 @@
 %include %{_configdir}/base.cfg
 
-%define gcc_version 0a9e371
+%define gcc_version 3531f98
 %define gcc_external 1
 %define gcc_expand_name gnu-mirror-gcc-%{gcc_version}
 %source set gcc --rsb-file=%{gcc_expand_name}.tar.gz https://codeload.github.com/RTEMS/gnu-mirror-gcc/tar.gz/%{gcc_version}
-%hash sha512 %{gcc_expand_name}.tar.gz b9718a76c9a582aa09908e8999620f138b35e0a4206c0a032b8875950c02b4d9f458a7727d2966c85793d21d0ee1b337bf7289dd023bf03b2adebbf2049b4455
+%hash sha512 %{gcc_expand_name}.tar.gz 2215e63f83a9e41be1085750ed0dea0327bc2aa4984025b6107ebbcf151d29a014bbbe22817bb3daecbeb0e6af69f0800ed82050f05a68853f7ad8219b974126
 
 %patch add gcc -p1 https://devel.rtems.org/raw-attachment/ticket/4196/0001-gcov-Add-fprofile-info-section-support.patch
@@ -14,9 +14,9 @@
 %hash sha512 0001-nios2-Remove-custom-instruction-warnings.patch afd8a5e6bdcc5b75d5fbbf558bdf56ccac400521a6eec9d88cc95f6be67c481f2dbf8faa0f6ddc1e4ac7c56a84938714d80e46e9cf80ec4b8fcd739986449881
 
-%define newlib_version 62e739b
+%define newlib_version a533334
 %define newlib_external 1
 %define newlib_expand_name sourceware-mirror-newlib-cygwin-%{newlib_version}
 %source set newlib --rsb-file=newlib-%{newlib_version}.tar.gz https://codeload.github.com/RTEMS/sourceware-mirror-newlib-cygwin/tar.gz/%{newlib_version}
-%hash sha512 newlib-%{newlib_version}.tar.gz 451404d0b2cf455833f8b6849122a94a484f7db6e8cddf0ee9bc5f1daafc0ab515c4e80bb9c60fe4d6cfb39cd16473336884f30b5fa5696b9031e6de1bc29b68
+%hash sha512 newlib-%{newlib_version}.tar.gz 51b535b011c3bebeb403c350b676389714767c014b6a44d521ceec9c02dbe58005d5d2c5678bab8c8ef9827b00b78442262fe05fccd133f5b9a9bab0bebd585f
 
 %define with_threads 1
Index: rtems/config/tools/rtems-gcc-head-newlib-head.cfg
===================================================================
--- rtems/config/tools/rtems-gcc-head-newlib-head.cfg	(revision 71178999b6221a97a6d1c4d28f1d437a07d31317)
+++ rtems/config/tools/rtems-gcc-head-newlib-head.cfg	(revision 65abc3e1f39404d1169bc4d361c6a78c937655ed)
@@ -2,15 +2,15 @@
 %include %{_configdir}/base.cfg
 
-%define gcc_version 8227106
+%define gcc_version e711b67
 %define gcc_external 1
 %define gcc_expand_name gnu-mirror-gcc-%{gcc_version}
 %source set gcc --rsb-file=%{gcc_expand_name}.tar.gz https://codeload.github.com/RTEMS/gnu-mirror-gcc/tar.gz/%{gcc_version}
-%hash sha512 %{gcc_expand_name}.tar.gz 76a0c30fe7951a319cc583f084a6927a34388e4ba5b180f1bd97e226aa54bad10eb707b1c0675238961812aa5e9db49857841e3b15e8f3f0204eefe1b3a7b2d4
+%hash sha512 %{gcc_expand_name}.tar.gz 581590fb3151357471c1d55dac8c8bfc910b73cfaf05700632def3031d91c3116b22e7f3bdabaf179c0ce5bfa19ecdb658d2820ca33d7aa9e6741283c911b5a3
 
-%define newlib_version 62e739b
+%define newlib_version a533334
 %define newlib_external 1
 %define newlib_expand_name sourceware-mirror-newlib-cygwin-%{newlib_version}
 %source set newlib --rsb-file=newlib-%{newlib_version}.tar.gz https://codeload.github.com/RTEMS/sourceware-mirror-newlib-cygwin/tar.gz/%{newlib_version}
-%hash sha512 newlib-%{newlib_version}.tar.gz 451404d0b2cf455833f8b6849122a94a484f7db6e8cddf0ee9bc5f1daafc0ab515c4e80bb9c60fe4d6cfb39cd16473336884f30b5fa5696b9031e6de1bc29b68
+%hash sha512 newlib-%{newlib_version}.tar.gz 51b535b011c3bebeb403c350b676389714767c014b6a44d521ceec9c02dbe58005d5d2c5678bab8c8ef9827b00b78442262fe05fccd133f5b9a9bab0bebd585f
 
 %define with_threads 1
Index: rtems/config/tools/rtems-gdb-head.cfg
===================================================================
--- rtems/config/tools/rtems-gdb-head.cfg	(revision 71178999b6221a97a6d1c4d28f1d437a07d31317)
+++ rtems/config/tools/rtems-gdb-head.cfg	(revision 65abc3e1f39404d1169bc4d361c6a78c937655ed)
@@ -2,9 +2,9 @@
 %include %{_configdir}/base.cfg
 
-%define gdb_version c65ca13
+%define gdb_version d4dd4fc
 %define gdb_external 1
 %define gdb_expand_name sourceware-mirror-binutils-gdb-%{gdb_version}
 %source set gdb --rsb-file=%{gdb_expand_name}.tar.gz https://codeload.github.com/RTEMS/sourceware-mirror-binutils-gdb/tar.gz/%{gdb_version}
-%hash sha512 %{gdb_expand_name}.tar.gz f99fc717964d3a337527dc4e46f72b5d57b0995e96aa4c3987eb282e3c390291e3e8831f1ae0db95876858868169a05d28afcf08f9b14ca6c842b71a1afefd3b
+%hash sha512 %{gdb_expand_name}.tar.gz 43c29418fbe4c9e2bae8042c29230b8adf4b0b8351690b08735ef0b999a97e53c63a857d76f2cfee6668685eb9abe6d671e6fcfe427f43d5cdbba108b5c837ee
 
 %include %{_configdir}/gdb-8-1.cfg
